from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
from rougail.tiramisu import ConvertDynOptionDescription
option_3 = StrOption(name='mode_conteneur_actif', doc='No change', default='non', multi=False, properties=frozenset({'mandatory', 'normal'}))
option_4 = StrOption(name='condition', doc='condition', default='oui', multi=False, properties=frozenset({'mandatory', 'normal'}))
option_6 = StrOption(name='leader', doc='leader', default=['a'], multi=True, properties=frozenset({'mandatory'}))
option_7 = StrOption(name='follower1', doc='follower1', default=Calculation(func.calc_val, Params((), kwargs={'valeur': ParamValue("valfill")})), multi=True, properties=frozenset({'force_default_on_freeze', 'frozen', 'hidden', 'normal', Calculation(calc_value, Params(ParamValue('disabled'), kwargs={'condition': ParamOption(option_4, todict=True), 'expected': ParamValue('oui')}))}))
option_8 = StrOption(name='follower2', doc='follower2', multi=True, properties=frozenset({'normal'}))
option_5 = Leadership(name='leader', doc='leader', properties=frozenset({'normal'}), children=[option_6, option_7, option_8])
option_2 = OptionDescription(name='general', doc='general', properties=frozenset({'normal'}), children=[option_3, option_4, option_5])
option_1 = OptionDescription(name='rougail', doc='rougail', children=[option_2])
option_13 = StrOption(name='group', doc='group', default='root', multi=False)
option_14 = StrOption(name='mode', doc='mode', default='0644', multi=False)
option_15 = StrOption(name='name', doc='name', default='/etc/mailname', multi=False)
option_16 = StrOption(name='owner', doc='owner', default='root', multi=False)
option_17 = StrOption(name='source', doc='source', default='mailname', multi=False)
option_18 = BoolOption(name='templating', doc='templating', default=True, multi=False)
option_19 = BoolOption(name='activate', doc='activate', default=True, multi=False)
option_12 = OptionDescription(name='mailname', doc='mailname', children=[option_13, option_14, option_15, option_16, option_17, option_18, option_19])
option_11 = OptionDescription(name='files', doc='files', children=[option_12])
option_10 = OptionDescription(name='test', doc='test', children=[option_11])
option_10.impl_set_information("manage", True)
option_9 = OptionDescription(name='services', doc='services', properties=frozenset({'hidden'}), children=[option_10])
option_0 = OptionDescription(name='baseoption', doc='baseoption', children=[option_1, option_9])
